Bug 142896 - Datafab CF reader - hal tries to access CF card forever
Datafab CF reader - hal tries to access CF card forever
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-14 17:28 EST by Werner Hoelzl
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version: RHEL5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-23 15:08:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (4.46 KB, text/plain)
2004-12-14 17:32 EST, Werner Hoelzl
no flags Details
usbview - Datafab CF reader (738 bytes, text/plain)
2004-12-14 17:33 EST, Werner Hoelzl
no flags Details
Workaround - shutdown HAL (1.93 KB, text/plain)
2004-12-14 17:46 EST, Werner Hoelzl
no flags Details
The problem still occurs with kernel-2.6.12-1.1390_FC4 (9.22 KB, text/plain)
2005-07-15 17:52 EDT, Werner Hoelzl
no flags Details
The problem still occurs with kernel-2.6.13-1.1526_FC4 (11.80 KB, text/plain)
2005-09-30 10:41 EDT, Werner Hoelzl
no flags Details
The problem still occurs with kernel-2.6.14-1.1637_FC4 (11.80 KB, text/plain)
2005-11-10 18:01 EST, Werner Hoelzl
no flags Details
The problem still occurs with kernel-2.6.14-1.1637_FC4 (4.77 KB, text/plain)
2005-11-10 18:06 EST, Werner Hoelzl
no flags Details
The problem still occurs with kernel-2.6.15-1.1830_FC4 (4.76 KB, text/plain)
2006-02-03 10:45 EST, Werner Hoelzl
no flags Details

  None (edit)
Description Werner Hoelzl 2004-12-14 17:28:26 EST
Description of problem:

Version-Release number of selected component (if applicable):
hal-0.4.2-1.FC3

How reproducible:
Always

Steps to Reproduce:
1.plug in CF reader
2.
3.
    
Actual Results:  hal adds mount point /media/usbdisk -> OK

kernel detects SCSI error
kernel:  Sense class 7, sense error 0, extended sense 0
kernel: SCSI error: host 0 id 0 lun 0 return code = 8000002

hal continues to access CF reader and fills /var/log/messages
with the error above.

Expected Results:  hal should try to mount CF card once or give up.
Comment 1 Werner Hoelzl 2004-12-14 17:32:29 EST
Created attachment 108574 [details]
/var/log/messages
Comment 2 Werner Hoelzl 2004-12-14 17:33:48 EST
Created attachment 108575 [details]
usbview - Datafab CF reader
Comment 3 Werner Hoelzl 2004-12-14 17:46:34 EST
Created attachment 108577 [details]
Workaround - shutdown HAL
Comment 4 David Zeuthen 2004-12-14 20:58:01 EST
This looks like either a bug with the kernel driver for your USB
device or the device itself. Reassigning to kernel.

David
Comment 5 Dave Jones 2004-12-14 21:09:20 EST
what kernel version is this ?
Comment 6 Werner Hoelzl 2004-12-15 11:15:33 EST
kernel-2.6.9-1.681_FC3 (fully updated FC3)

The CF reader ID 07c4:b000 works since kernel 2.4.21
The SCSI sense errors are not fatal and CF cards
can be mounted, read, and written.
see also

http://www.qbik.ch/usb/devices/showdev.php?id=1307

Comment #3 shows a working log with hald stopped.

With hald running 2-3 SCSI sense errors are logged every second.

Comment #1 shows an example of only 10 seconds.

I think this problem is related to HAL polling
and not related to the kernel.
Comment 7 David Zeuthen 2005-01-10 09:45:20 EST
I don't think it's justified to reassign this to hald - USB storage
devices like the one you have can be polled and what you're seeing is
a defect with the kernel.

David 
Comment 8 Dave Jones 2005-01-10 23:32:49 EST
its possible this one just doesnt like being probed when theres nothing inserted
into its slots.  Can we blacklist such devices in hald ?

the fact this only shows up on this device, and there are hundreds of users with
other devices without getting this problem with the same driver proves its a
fault of the device I think.
Comment 9 David Zeuthen 2005-01-10 23:45:43 EST
> its possible this one just doesnt like being probed when theres nothing inserted
> into its slots.  Can we blacklist such devices in hald ?
>

You can certainly turn off media detection in hald, even on a
per device basis, however we don't yet have the UI to make this
work in a nice way

(I hope to have this done for FC4, e.g. if media detection
is turned off it means that clicking the icon will initiate
a media detection process - which for partitioned media simply
means doing a 'blockdev --rereadpt /dev/sda' - it's a bit more
complicated though as we also wants to supports non-partitioned
media, e.g. having the fs on /dev/sda - but, heh, now I'm
digressing :-)
 
> the fact this only shows up on this device, and there are hundreds of users with
> other devices without getting this problem with the same driver proves its a
> fault of the device I think.

I think the issue can/should be fixed by a patch to the file

 drivers/usb/storage/unusual_devs.h

but I'm not sure how to do that. Of course, if we could just
feed such entries from userspace I'd be more than happy to do
so, but as far as I can tell it requires all the bind-driver-and-
specify-options from userspace stuff. Maybe some day.
Comment 10 Dave Jones 2005-07-15 14:17:35 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 11 Werner Hoelzl 2005-07-15 17:52:34 EDT
Created attachment 116823 [details]
The problem still occurs with kernel-2.6.12-1.1390_FC4
Comment 12 Werner Hoelzl 2005-07-15 18:38:18 EDT
Same with kernel-2.6.12-1.1398_FC4
Comment 13 Dave Jones 2005-09-30 02:37:15 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 14 Werner Hoelzl 2005-09-30 10:41:03 EDT
Created attachment 119471 [details]
The problem still occurs with kernel-2.6.13-1.1526_FC4
Comment 15 Dave Jones 2005-11-10 14:38:56 EST
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.
Comment 16 Werner Hoelzl 2005-11-10 18:01:20 EST
Created attachment 120913 [details]
The problem still occurs with kernel-2.6.14-1.1637_FC4
Comment 17 Werner Hoelzl 2005-11-10 18:06:11 EST
Created attachment 120914 [details]
The problem still occurs with kernel-2.6.14-1.1637_FC4
Comment 18 Dave Jones 2006-02-03 00:36:00 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 19 Werner Hoelzl 2006-02-03 10:45:40 EST
Created attachment 124106 [details]
The problem still occurs with kernel-2.6.15-1.1830_FC4
Comment 20 Dave Jones 2006-09-16 22:16:36 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 21 Dave Jones 2006-10-16 14:23:31 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 22 Werner Hoelzl 2007-06-21 16:28:00 EDT
It is now working with RHEL5

Note You need to log in before you can comment on or make changes to this bug.